Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Structures | Typedefs | Functions
stret_medium2.c File Reference
`#include "ffitest.h"`

Go to the source code of this file.

## Data Structures
struct | struct_72byte

## Typedefs
typedef struct struct_72byte | struct_72byte

## Functions
struct_72byte | cls_struct_72byte_fn (struct_72byte b0, struct_72byte b1, struct_72byte b2, struct_72byte b3)
int | main (void)

## Typedef Documentation

## ◆ struct_72byte

typedef struct struct_72byte struct_72byte

## Function Documentation

## ◆ cls_struct_72byte_fn()

struct_72byte cls_struct_72byte_fn | ( | struct_72byte | b0,
|  | struct_72byte | b1,
|  | struct_72byte | b2,
|  | struct_72byte | b3
| ) |  |

Definition at line 25 of file stret_medium2.c.

Referenced by main().

## ◆ main()

int main | ( | void |  | ) |

Definition at line 62 of file stret_medium2.c.

References struct_72byte::a, struct_72byte::b, struct_72byte::c, CHECK, cls_struct_72byte_fn(), struct_72byte::d, struct_72byte::e, struct_72byte::f, ffi_call(), FFI_DEFAULT_ABI, ffi_prep_cif(), ffi_prep_closure_loc(), struct_72byte::g, struct_72byte::h, struct_72byte::i, NULL, PRIdLL, and printf().